"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayOfRoutesPart2 = exports.arrayOfRoutesPart1 = exports.arrayOfRoutes = void 0;
// eslint-disable-next-line @typescript-eslint/no-var-requires
var pathsJson = require('../../../../mocks/paths.json');
var pathInfoArray = Object.values(pathsJson);
var routes = pathInfoArray.map(function (_a) {
    var method = _a.method, path = _a.originalPath, tests = _a.tests, hasParameters = _a.hasParameters;
    return {
        controller: jest.fn().mockResolvedValue({ statusCode: 200, body: path }),
        path: path,
        method: method,
        tests: tests,
        hasParameters: hasParameters,
    };
});
var tooLongPath = '/thisistheroot/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/:parameter/end/';
var tooLongPathReplacedParameters = tooLongPath.replaceAll(':parameter', 'long');
exports.arrayOfRoutes = __spreadArray(__spreadArray([], __read(routes), false), [
    {
        controller: jest.fn().mockResolvedValue({ statusCode: 200, body: tooLongPath }),
        path: tooLongPath,
        method: 'GET',
        tests: [tooLongPathReplacedParameters],
        hasParameters: true,
    },
], false);
// Divide it into two arrays
var start = 0;
var mid = exports.arrayOfRoutes.length / 2;
var end = exports.arrayOfRoutes.length;
exports.arrayOfRoutesPart1 = exports.arrayOfRoutes.slice(start, mid);
exports.arrayOfRoutesPart2 = exports.arrayOfRoutes.slice(mid, end);
